# MCS_ChannelAttributes Class Reference

`#include <mcs.h>`

List of all members.

## Public Types

enum | Choices { e_static, e_userId, e_private, e_assigned }

## Public Member Functions

| MCS_ChannelAttributes (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator MCS_ChannelAttributes_static & ()
| operator const MCS_ChannelAttributes_static & () const
| operator MCS_ChannelAttributes_userId & ()
| operator const MCS_ChannelAttributes_userId & () const
| operator MCS_ChannelAttributes_private & ()
| operator const MCS_ChannelAttributes_private & () const
| operator MCS_ChannelAttributes_assigned & ()
| operator const MCS_ChannelAttributes_assigned & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum MCS_ChannelAttributes::Choices

Enumerator:

  e_static |
  e_userId |
  e_private |
  e_assigned |

## Constructor & Destructor Documentation

MCS_ChannelAttributes::MCS_ChannelAttributes | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

MCS_ChannelAttributes::operator MCS_ChannelAttributes_static & | ( |  | ) |

MCS_ChannelAttributes::operator const MCS_ChannelAttributes_static & | ( |  | ) | const

MCS_ChannelAttributes::operator MCS_ChannelAttributes_userId & | ( |  | ) |

MCS_ChannelAttributes::operator const MCS_ChannelAttributes_userId & | ( |  | ) | const

MCS_ChannelAttributes::operator MCS_ChannelAttributes_private & | ( |  | ) |

MCS_ChannelAttributes::operator const MCS_ChannelAttributes_private & | ( |  | ) | const

MCS_ChannelAttributes::operator MCS_ChannelAttributes_assigned & | ( |  | ) |

MCS_ChannelAttributes::operator const MCS_ChannelAttributes_assigned & | ( |  | ) | const

PBoolean MCS_ChannelAttributes::CreateObject | ( |  | ) |

PObject* MCS_ChannelAttributes::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- mcs.h